Name:		fmit
Summary:	Free Music Instrument Tuner
Version:	0.97.7
Release:	6%{?dist}
License:	GPLv2+
Group:		Applications/Multimedia
URL:		http://home.gna.org/fmit/
Source:		http://download.gna.org/fmit/%{name}-%{version}.tar.bz2
Source1:	fmit.desktop
Source2:	fmit.svg
Patch0:		fmit-0.97.7-configure.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	alsa-lib-devel >= 0.9
BuildRequires:	desktop-file-utils
BuildRequires:	fftw-devel
BuildRequires:	freeglut-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libXi-devel
BuildRequires:	libXmu-devel
BuildRequires:	qt3-devel

%description
Free Music Instrument Tuner features error history, volume history, wave shape
harmonic ratios, microtonal tuning (with Scala file support), and a discrete
Fourier transform view.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT%{_libdir}/*.a

# copy icons to freedesktop locations
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/fmit.svg

# install the desktop entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora --delete-original	\
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications	\
  %{SOURCE1}

rm -f ${RPM_BUILD_ROOT}%{_datadir}/applications/fmit.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg

%changelog
* Thu Oct 16 2008 jeff <moe@blagblagblag.org> - 0.97.7-6
- Add fmit-0.97.7-configure.patch
- Add BuildRequires: qt3-devel libXi-devel
- No BuildRequires: portaudio-devel qt-devel qt-designer
- No %%configure --enable-debug

* Mon Oct 13 2008 jeff <moe@blagblagblag.org> - 0.97.7-5
- %%configure --enable-debug

* Mon Oct 13 2008 jeff <moe@blagblagblag.org> - 0.97.7-4
- cp -p fmit.svg
- BuildRequires: portaudio-devel

* Fri Oct  3 2008 jeff <moe@blagblagblag.org> - 0.97.7-3
- No Requires: alsa-lib qt3 fftw freeglut jack-audio-connection-kit

* Thu Oct  2 2008 jeff <moe@blagblagblag.org> - 0.97.7-2
- make DESTDIR=$RPM_BUILD_ROOT install ; rm $RPM_BUILD_ROOT%%{_libdir}/*.a

* Mon Aug 18 2008 jeff <moe@blagblagblag.org> - 0.97.7-1
- Update to 0.97.7
- Decruft to comply with Fedora packaging guidelines...
- Add generic icon from gnome
- New .desktop
- Update Requires/BuildRequires

* Sun Nov 11 2007 jeff <moe@blagblagblag.org> - 0.97.6-0blag.f7
- Update to 0.97.6
- BuildRequires: libXmu-devel

* Wed May 23 2007 jeff <moe@blagblagblag.org> - 0.97.5-0blag.fc6
- BLAG'd
- Quick/dirty changes to spec just so i could start using the thing.

* Fri May 18 2007 Toni Graffy <toni@links2linux.de> - 0.97.5-0.pm.1
- update to 0.97.5

* Fri May 11 2007 Toni Graffy <toni@links2linux.de> - 0.97.4-0.pm.1
- update to 0.97.4

* Thu Apr 12 2007 Toni Graffy <toni@links2linux.de> - 0.97.0-0.pm.1
- update to 0.97.0

* Wed Dec 06 2006 Toni Graffy <toni@links2linux.de> - 0.96.7-0.pm.1
- update to 0.96.7

* Mon Sep 18 2006 Toni Graffy <toni@links2linux.de> - 0.96.5-0.pm.1
- build for packman

* Thu Feb 16 2006 - oc2pus@arcor.de 0.96.5-0.oc2pus.1
- update to 0.96.5

* Sat Jan 28 2006 - oc2pus@arcor.de 0.96.4-0.oc2pus.1
- update to 0.96.4

* Tue Dec 06 2005 - oc2pus@arcor.de 0.95.1-0.oc2pus.1
- update to 0.95.1

* Fri Nov 18 2005 - oc2pus@arcor.de 0.95.0-0.oc2pus.2
- update to 0.95.0

* Sun Nov 13 2005 - oc2pus@arcor.de 0.91.3-0.oc2pus.1
- update to 0.91.3

* Wed Jun 01 2005 - oc2pus@arcor.de 0.91.2-0.oc2pus.1
- update to 0.91.2
- changed group to Productivity/Multimedia/Sound/Utilities

* Sat Apr 02 2005 - oc2pus@arcor.de 0.9.9-0.oc2pus.1
- initial release of rpm
